AOZ Studio Beta - Bug #353

In macOS version, | can no longer import .amos applications from Resources folder. Causes Import
error.
Description
It doesn't matter which disc archive it's from. I've tried importing code from:
AMOSPro_Examples
AMOSPro_Accessories
AMOSPro_Tutorial
AMOSPro_Productivityl
AMOSPro_Productivity2
All produce the same " Problem during importation... " error. (See attachment.)
An empty folder structure for the imported application is created, then it crashes with the attached error.
For Example, for AMOSPro_Examples/Help_1.AMOS, | get the following folder structure:
AMAL_1
resources
filesystem
application

...and then the import fails.

@Dave_B tried this in the PC version - which does work, so apparently, this is specific to the Mac version.

History

#1 - 05/14/2020 04:08 PM - Francois Lionet
- Status changed from New to In Progress

- Assignee set to Francois Lionet

On the task list! For the moment, AMOS import is done via external Windows-only applications. javascript conversion to be done. Certainly for version
0.9.9 or something like that: for the moment, please use a PC, or boot your mac in Windows if you can. If not, then please ask someone to do it for
you... ;)

#2 - 07/03/2020 11:20 PM - Brian Flanagan
- Affected version changed from 0.9.8.1 to 0.9.9.3

Re-tested in 0.9.9.3. Problem still exists.

#3 - 08/28/2020 01:01 PM - Brian Flanagan

- Status changed from In Progress to Resolved
This appears to be working now!

#4 - 09/03/2020 08:02 PM - Brian Flanagan

- Status changed from Resolved to Feedback
This isn't resolved yet... but probably won't be corrected until after the initial release.
It has, however, been disabled in the macOS version, until it can be added to the macOS version.

Files

AMOS_Import_Error.png 24.4 KB 04/19/2020 Brian Flanagan

04/10/2024 22


http://www.tcpdf.org

